Attribute VB_Name = "API"
Public Const SM_CXSCREEN = 0
Public Const SM_CYSCREEN = 1
Public Const DRIVE_CDROM = 5
Public Const EWX_LOGOFF = 0
Public Const EWX_SHUTDOWN = 1
Public Const EWX_REBOOT = 2
Public Const EWX_FORCE = 4
Public Const MAX_PATH = 260
Public Type MEMORYSTATUS
        dwLength As Long
        dwMemoryLoad As Long
        dwTotalPhys As Long
        dwAvailPhys As Long
        dwTotalPageFile As Long
        dwAvailPageFile As Long
        dwTotalVirtual As Long
        dwAvailVirtual As Long
End Type
Public minfo As MEMORYSTATUS
Declare Function GetSystemMetrics Lib "user32" (ByVal nIndex As Long) As Long
Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpBuffer As String, nSize As Long) As Long
Declare Function SystemParametersInfo Lib "user32" Alias "SystemParametersInfoA" (ByVal uAction As Long, ByVal uParam As Long, ByVal lpvParam As Any, ByVal fuWinIni As Long) As Long
Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Declare Function GetDriveType Lib "kernel32" Alias "GetDriveTypeA" (ByVal nDrive As String) As Long
Declare Function GetDiskFreeSpace Lib "kernel32" Alias "GetDiskFreeSpaceA" (ByVal lpRootPathName As String, lpSectorsPerCluster As Long, lpBytesPerSector As Long, lpNumberOfFreeClusters As Long, lpTtoalNumberOfClusters As Long) As Long
Declare Function SwapMouseButton& Lib "user32" (ByVal bSwap As Long)
Declare Function SetDoubleClickTime Lib "user32" (ByVal wCount As Long) As Long
Declare Function ExitWindowsEx Lib "user32" (ByVal uFlags As Long, ByVal dwReserved As Long) As Long
Declare Function GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
Declare Sub GlobalMemoryStatus Lib "kernel32" (lpBuffer As MEMORYSTATUS)

Public Function GetWinPath()
    Dim strFolder As String
    Dim lngResult As Long

    strFolder = String(MAX_PATH, 0)
    lngResult = GetWindowsDirectory(strFolder, MAX_PATH)
    If lngResult <> 0 Then
        GetWinPath = Left(strFolder, InStr(strFolder, Chr(0)) - 1)
    Else
        GetWinPath = ""
    End If
End Function

Public Function BI_GetCDROMDrive() As String
    Dim lType As Long
    Dim i As Integer
    Dim tmpDrive As String
    Dim found As Boolean
    On Error GoTo ErrorHandler
    For i = 0 To 25
        tmpDrive = Chr(65 + i) & ":\"
        lType = GetDriveType(tmpDrive)
        If (lType = DRIVE_CDROM) Then
            found = True
            Exit For
        End If
    Next
    If Not found Then
        tmpDrive = ""
    End If
    BI_GetCDROMDrive = tmpDrive
ErrorHandler:
End Function

Public Function getUser() As String
    Dim s As String: s = String$(200, 0)
    Dim cnt As Long: cnt = 199
    Dim dl As Long: dl = GetUserName(s, cnt)
    If dl <> 0 Then getUser = Left$(s, cnt) Else getUser = ""
End Function


Public Function getDriverInfo(strData As String) As String
    Dim x As Long
    Dim cl1 As Long
    Dim cl2 As Long
    Dim sec1 As Long
    Dim byt1 As Long
    Dim buff As String
    Dim tStr As String, tStr2 As String, tStr3 As String
    buff = strData + "\"
    x = GetDriveType(buff)
    Select Case x
      Case 2
        tStr = "ǿƶ"
      Case 3
        tStr = "ǹ̶"
      Case 4
        tStr = ""
      Case 5
        tStr = "CD-ROM"
      Case 6
        tStr = "RAMDISK"
      Case Else
        tStr = "Ч"
    End Select
    x = GetDiskFreeSpace(buff, sec1, byt1, cl1, cl2)
    If x Then
      cl1 = cl1 * sec1 * byt1
      cl2 = cl2 * sec1 * byt1
      tStr2 = "ܹ: " + Format$(cl2, "##########0") + " ֽ"
      tStr3 = ": " + Format$(cl1, "##########0") + " ֽ"
    Else
      tStr2 = ""
      tStr3 = ""
    End If
    getDriverInfo = tStr & vbCrLf & tStr2 & vbCrLf & tStr3 & vbCrLf
End Function

